mbedtls_ssl_ticket_key Struct Reference

Information for session ticket protection. More...

`#include <ssl_ticket.h>`

Collaboration diagram for mbedtls_ssl_ticket_key:
[legend]

## Data Fields

unsigned char | name [4]
uint32_t | generation_time
mbedtls_cipher_context_t | ctx

## Detailed Description

Information for session ticket protection.

Definition at line 53 of file ssl_ticket.h.

## Field Documentation

## ctx

mbedtls_cipher_context_t mbedtls_ssl_ticket_key::ctx

context for auth enc/decryption

Definition at line 57 of file ssl_ticket.h.

## generation_time

uint32_t mbedtls_ssl_ticket_key::generation_time

key generation timestamp (seconds)

Definition at line 56 of file ssl_ticket.h.

## name

unsigned char mbedtls_ssl_ticket_key::name[4]

random key identifier

Definition at line 55 of file ssl_ticket.h.

The documentation for this struct was generated from the following file:

- ssl_ticket.h